int pinLed = PIN_PA1;  // the PWM pin the LED is attached to ATtiny PA1, for arduino pin, it would be pinLed = 2
int pinButton = PIN_PA2; //the ATtiny pin for button is PA2, in Arduino pin, it is pinButton = 3
int fadeTime = 30;    // the delay time for the LED fading
int fadeAmount = 5;    // how many points to fade the LED by
int maxBrightness = 50;    // step size 
int buttonState = 0;  //this is for reading the button status
boolean fadingState = false;     // determine whether the LED should be turned on or off



// the setup routine runs once when you press reset:
void setup() {
  pinMode(pinButton,INPUT); //initialize the digital pin pinButton as input
  pinMode(pinLed, OUTPUT);    //initialize the digital pin pinLed as output
}

// the loop routine runs over and over again forever:
void loop() {
  buttonState = digitalRead(pinButton);  //read the state of the pushbutton value 
 // brightness = brightness + fadeAmount; // change the brightness of the LED for next time through the loop

  if (buttonState == HIGH) {    // check whether the button was pressed 
    if (fadingState == false) {      // check the current LED status (on/off), if the LED is off, turn it on gradually
    
      for (int i = 0; i <= maxBrightness; i += fadeAmount) {        //this is from fade to bright
        analogWrite(pinLed, i);  
        delay(fadeTime);   //
      }
      
    } else {
      for (int i = maxBrightness; i >= 0; i -= fadeAmount) {        //this is from bright to fade
        analogWrite(pinLed, i);
        delay(fadeTime);
      }      
    }
    
    fadingState = !fadingState; // save the current LED state (on/off)
  }
}
